## com.sun.jersey.spi.scanning
Class PathProviderScannerListener

    java.lang.Object
      com.sun.jersey.spi.scanning.AnnotationScannerListener
          com.sun.jersey.spi.scanning.PathProviderScannerListener

All Implemented Interfaces:
  ScannerListener

    public final class PathProviderScannerListener

extends AnnotationScannerListener

An annotation-based scanning listener for classes annotated with `Path` or `Provider`.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`PathProviderScannerListener()` Create a scanning listener to check for Java classes in Java class files annotated with `Path` or `Provider`.
`PathProviderScannerListener(java.lang.ClassLoader classloader)` Create a scanning listener to check for Java classes in Java class files annotated with `Path` or `Provider`.

Method Summary

Methods inherited from class com.sun.jersey.spi.scanning.AnnotationScannerListener
`getAnnotatedClasses, onAccept, onProcess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathProviderScannerListener

    public PathProviderScannerListener()

  Create a scanning listener to check for Java classes in Java class files annotated with `Path` or `Provider`.

### PathProviderScannerListener

    public PathProviderScannerListener(java.lang.ClassLoader classloader)

  Create a scanning listener to check for Java classes in Java class files annotated with `Path` or `Provider`.

  Parameters:
    `classloader` - the class loader to use to load Java classes that are annotated with any one of the annotations.

Copyright © 2017 Oracle Corporation. All Rights Reserved.